=== debian/control ===
Source: globus-common
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 6.0.7~), autotools-dev, quilt, grid-packaging-tools, libglobus-libtool-dev (>= 1), globus-core (>= 5.15-5), doxygen (<< 1.6.2-1) | doxygen (>> 1.6.2-1), graphviz, texlive-latex-recommended, texlive-latex-extra, texlive-extra-utils, texlive-fonts-recommended, texlive-font-utils, ghostscript | gs-gpl
Standards-Version: 3.8.4
Section: net
DM-Upload-Allowed: yes
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/globus-common
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/globus-common
Homepage: http://www.globus.org/

Package: libglobus-common0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libglobus-libtool
Description: Globus Toolkit - Common Library
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The libglobus-common0 package contains:
 Common Library

Package: globus-common-progs
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libglobus-libtool, ${perl:Depends}
Description: Globus Toolkit - Common Library Programs
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The globus-common-progs package contains:
 Common Library Programs
 Common Setup

Package: libglobus-common-dev
Section: libdevel
Architecture: any
Depends: libglobus-common0 (= ${binary:Version}), ${misc:Depends}, libglobus-libtool-dev (>= 1), globus-core (>= 4), ${perl:Depends}
Recommends: libglobus-common-doc (= ${binary:Version})
Description: Globus Toolkit - Common Library Development Files
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The libglobus-common-dev package contains:
 Common Library Development Files

Package: libglobus-common-doc
Section: doc
Architecture: any
Depends: libglobus-common-dev (= ${binary:Version}), ${misc:Depends}
Description: Globus Toolkit - Common Library Documentation Files
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The libglobus-common-doc package contains:
 Common Library Documentation Files

Package: globus-common-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libglobus-common0 (= ${binary:Version}) | globus-common-progs (= ${binary:Version}), ${misc:Depends}
Description: Globus Toolkit - Common Library Debug Symbols
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The globus-common-dbg package contains:
 Common Library Debug Symbols
