=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
MAKEFLAGS += -j$(NUMJOBS)
endif

include /usr/share/quilt/quilt.make

name = globus-common
_name = globus_common
version = 11.4
soname = 0

INSTALLDIR = $(CURDIR)/debian/tmp
GLOBUSPACKAGEDIR = $(INSTALLDIR)$(_datadir)/globus/packages

_prefix = /usr
_bindir = $(_prefix)/bin
_sbindir = $(_prefix)/sbin
_libdir = $(_prefix)/lib
_datadir = $(_prefix)/share
_mandir = $(_datadir)/man
_docdir = $(_datadir)/doc

DEB_BUILD_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)

ifneq (,$(filter $(DEB_HOST_ARCH_CPU), amd64 alpha ia64 s390x ppc64 sparc64))
flavor = gcc64pthr
else
flavor = gcc32pthr
endif

sed: sed-stamp
	:

sed-stamp: $(QUILT_STAMPFN)
	dh_testdir

	for f in `find . ! -path */.pc/* -name Makefile.am` ; do \
	  sed -e 's!^flavorinclude_HEADERS!include_HEADERS!' \
	      -e 's!\(lib[a-zA-Z_]*\)_$$(GLOBUS_FLAVOR_NAME)\.la!\1.la!g' \
	      -e 's!^\(lib[a-zA-Z_]*\)___GLOBUS_FLAVOR_NAME__la_!\1_la_!' \
	    -i $$f ; \
	done
	sed -e "s!<With_Flavors!<With_Flavors ColocateLibraries=\"no\"!" \
	  -i pkgdata/pkg_data_src.gpt.in

	touch $@

unsed: cleanup
	dh_testdir

	if [ -e sed-stamp ] ; then \
	  for f in `find . ! -path */.pc/* -name Makefile.am` ; do \
	    sed -e 's!^include_HEADERS!flavorinclude_HEADERS!' \
		-e 's!\(lib[a-zA-Z_]*\)\.la!\1_$$(GLOBUS_FLAVOR_NAME).la!g' \
		-e 's!^\(lib[a-zA-Z_]*\)_la_!\1___GLOBUS_FLAVOR_NAME__la_!' \
	      -i $$f ; \
	  done ; \
	  sed -e "s!<With_Flavors ColocateLibraries=\"no\"!<With_Flavors!" \
	    -i pkgdata/pkg_data_src.gpt.in ; \
	fi

	rm -f sed-stamp

configure: configure-stamp
	:

configure-stamp: sed-stamp
	dh_testdir

	/usr/share/globus/globus-bootstrap.sh

	for f in config.sub config.guess ; do \
	  if [ -e /usr/share/misc/$$f -a ! -e $$f.dist ] ; then \
	    mv $$f $$f.dist ; \
	    cp -f /usr/share/misc/$$f $$f ; \
	  fi ; \
	done

	GLOBUS_VERSION=5.0.1 ./configure \
	   --host=$(DEB_HOST_GNU_TYPE) \
	   --build=$(DEB_BUILD_GNU_TYPE) \
	   --prefix=$(_prefix) \
	   --mandir='$${datadir}/man' \
	   --infodir='$${datadir}/info' \
	   --with-flavor=$(flavor) \
	   --enable-doxygen

	cd setup && /usr/share/globus/globus-bootstrap.sh

	for f in config.sub config.guess ; do \
	  if [ -e /usr/share/misc/$$f -a ! -e setup/$$f.dist ] ; then \
	    mv setup/$$f setup/$$f.dist ; \
	    cp -f /usr/share/misc/$$f setup/$$f ; \
	  fi ; \
	done

	cd setup && ./configure \
	   --host=$(DEB_HOST_GNU_TYPE) \
	   --build=$(DEB_BUILD_GNU_TYPE) \
	   --prefix=$(_prefix) \
	   --mandir='$${datadir}/man' \
	   --infodir='$${datadir}/info' \
	   --without-flavor \
	   --with-secure-tmpdir=/var/tmp

	touch $@

build: build-stamp
	:

build-stamp: configure-stamp
	dh_testdir

	$(MAKE)

	cd setup && $(MAKE)

	touch $@

unpatch: unsed

clean: unpatch
	:

cleanup:
	dh_testdir
	dh_testroot

	if [ -r Makefile ] ; then $(MAKE) distclean ; fi

	for f in config.sub config.guess ; do \
	  if [ -e $$f.dist ] ; then \
	    mv -f $$f.dist $$f ; \
	  fi ; \
	done

	# Remove autogenerated files

	rm -f aclocal.m4
	rm -f configure
	rm -f config.guess
	rm -f config.sub
	rm -f ltmain.sh
	rm -f mkinstalldirs

	rm -f doxygen/Doxyfile*
	rm -f doxygen/Makefile.am
	rm -f pkgdata/Makefile.am
	rm -f pkgdata/*.filelist
	rm -f pkgdata/*.gpt
	rm -f globus_automake*
	rm -rf autom4te.cache

	rm -rf doxygen/doc

	rm -f config.h.in
	rm -f scripts/globus-domainname

	cd setup && if [ -r Makefile ] ; then $(MAKE) distclean ; fi

	for f in config.sub config.guess ; do \
	  if [ -e setup/$$f.dist ] ; then \
	    mv -f setup/$$f.dist setup/$$f ; \
	  fi ; \
	done

	# Remove autogenerated files

	rm -f setup/aclocal.m4
	rm -f setup/configure
	rm -f setup/config.guess
	rm -f setup/config.sub
	rm -f setup/ltmain.sh
	rm -f setup/mkinstalldirs

	rm -f setup/doxygen/Doxyfile*
	rm -f setup/doxygen/Makefile.am
	rm -f setup/pkgdata/Makefile.am
	rm -f setup/pkgdata/*.filelist
	rm -f setup/pkgdata/*.gpt
	rm -f setup/globus_automake*
	rm -rf setup/autom4te.cache

	rm -f setup/findshelltools

	find . -name Makefile.in -exec rm {} ';'

	rm -f build-stamp configure-stamp

	dh_clean debian/*.install

install: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k

	$(MAKE) install DESTDIR=$(INSTALLDIR)

	cd setup && $(MAKE) install DESTDIR=$(INSTALLDIR)

	# These scripts are intended to be sourced, not executed
	chmod -x $(INSTALLDIR)$(_datadir)/globus/globus-args-parser-header
	chmod -x $(INSTALLDIR)$(_datadir)/globus/setup/setup-globus-common.pl
	chmod -x $(INSTALLDIR)$(_datadir)/globus/globus-script-initializer
	chmod -x $(INSTALLDIR)$(_datadir)/globus/globus-sh-tools.sh

	# Register setup
	perl -MGrid::GPT::Setup -e 'my $$metadata = new Grid::GPT::Setup(package_name => "$(_name)_setup", globusdir => "$(INSTALLDIR)$(_prefix)"); $$metadata->finish();'

	# Remove libtool archives (.la files)
	find $(INSTALLDIR)$(_libdir) -name 'lib*.la' -exec rm -v '{}' \;
	sed '/lib.*\.la$$/d' \
	  -i $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_rtl.filelist

	# Generate pkg-config file from GPT metadata
	mkdir -p $(INSTALLDIR)$(_libdir)/pkgconfig
	/usr/share/globus/globus-gpt2pkg-config \
	  pkgdata/pkg_data_$(flavor)_dev.gpt > \
	  $(INSTALLDIR)$(_libdir)/pkgconfig/$(name).pc

	# Move globus-makefile-header to dev package
	grep globus-makefile-header \
	  $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_pgm.filelist \
	  >> $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_dev.filelist
	sed /globus-makefile-header/d \
	  -i $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_pgm.filelist

	# Don't use /usr/bin/env
	sed 's!/usr/bin/env perl!/usr/bin/perl!' \
	  -i $(INSTALLDIR)$(_bindir)/globus-makefile-header

	# Move documentation to default debian location
	mv $(INSTALLDIR)$(_docdir)/$(_name) \
	  $(INSTALLDIR)$(_docdir)/lib$(name)-dev
	sed s!doc/$(_name)!doc/lib$(name)-dev! \
	  -i $(GLOBUSPACKAGEDIR)/$(_name)/noflavor_doc.filelist

	# Remove deprecated.3 man page (too common name)
	rm -f $(INSTALLDIR)$(_mandir)/man3/deprecated.3
	sed /deprecated\.3/d \
	  -i $(GLOBUSPACKAGEDIR)/$(_name)/noflavor_doc.filelist

	# Generate package filelists
	cat $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_rtl.filelist \
	  | sed s!^!debian/tmp$(_prefix)! > debian/lib$(name)$(soname).install
	cat $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_pgm.filelist \
	    $(GLOBUSPACKAGEDIR)/$(_name)/noflavor_data.filelist \
	    $(GLOBUSPACKAGEDIR)/$(_name)_setup/noflavor_pgm.filelist \
	    $(GLOBUSPACKAGEDIR)/$(_name)_setup/noflavor_rtl.filelist \
	    $(GLOBUSPACKAGEDIR)/$(_name)_setup/noflavor_data.filelist \
	  | sed s!^!debian/tmp$(_prefix)! > debian/$(name)-progs.install
	cat $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_dev.filelist \
	  | sed s!^!debian/tmp$(_prefix)! > debian/lib$(name)-dev.install
	cat $(GLOBUSPACKAGEDIR)/$(_name)/noflavor_doc.filelist \
	  | sed s!^!debian/tmp$(_prefix)! > debian/lib$(name)-doc.install

	# Touch ghost files
	touch $(INSTALLDIR)$(_datadir)/globus/setup/globus-sh-tools-vars.sh
	touch $(INSTALLDIR)$(_datadir)/globus/globus-sh-tools-vars.sh

	echo debian/tmp$(_datadir)/globus/packages/setup/$(_name)_setup/$(_name)_setup.gpt \
	  >> debian/$(name)-progs.install
	echo debian/tmp$(_datadir)/globus/setup/globus-sh-tools-vars.sh \
	  >> debian/$(name)-progs.install
	echo debian/tmp$(_datadir)/globus/globus-sh-tools-vars.sh \
	  >> debian/$(name)-progs.install

	echo debian/tmp$(_libdir)/pkgconfig/$(name).pc \
	  >> debian/lib$(name)-dev.install

binary-indep:
	:

binary-arch: install
	dh_testdir
	dh_testroot
	mkdir -p debian/lib$(name)-doc$(_docdir)
	ln -s lib$(name)-dev debian/lib$(name)-doc$(_docdir)/lib$(name)-doc
	dh_installchangelogs
	dh_installdocs
	dh_install --fail-missing
	dh_installman
	dh_link
	dh_strip --dbg-package=globus-common-dbg
	dh_compress -X .tag
	dh_fixperms
	dh_perl
	dh_lintian
	dh_makeshlibs
	dh_installdeb
