## globus-common 11.5

=== debian/changelog ===
globus-common (11.5-2) unstable; urgency=low

  * Add dependency on globus-common-progs to libglobus-common-dev
  * Updated pthread exception patch for better compatibility with boost's
    headers

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 06 Sep 2010 18:26:05 +0200

globus-common (11.5-1) unstable; urgency=low

  * Update to Globus Toolkit 5.0.2

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 18 Jul 2010 19:30:43 +0200
