=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
 Build-Depends: debhelper (>= 6.0.7~), autotools-dev, quilt, grid-packaging-tools, libglobus-libtool-dev (>= 1), globus-core (>= 5.15-5), doxygen (<< 1.6.2-1) | doxygen (>> 1.6.2-1), graphviz, texlive-latex-recommended, texlive-latex-extra, texlive-extra-utils, texlive-fonts-recommended, texlive-font-utils, ghostscript | gs-gpl
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Section: net
 DM-Upload-Allowed: yes
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/globus-common
@@ -41,7 +41,7 @@
 Package: libglobus-common-dev
 Section: libdevel
 Architecture: any
-Depends: libglobus-common0 (= ${binary:Version}), ${misc:Depends}, libglobus-libtool-dev (>= 1), globus-core (>= 4), ${perl:Depends}
+Depends: libglobus-common0 (= ${binary:Version}), ${misc:Depends}, libglobus-libtool-dev (>= 1), globus-core (>= 4), globus-common-progs (= ${binary:Version}), ${perl:Depends}
 Recommends: libglobus-common-doc (= ${binary:Version})
 Description: Globus Toolkit - Common Library Development Files
  The Globus Toolkit is an open source software toolkit used for
