=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 name = globus-common
 _name = globus_common
-version = 11.4
+version = 11.5
 soname = 0
 
 INSTALLDIR = $(CURDIR)/debian/tmp
@@ -83,7 +83,7 @@
 	  fi ; \
 	done
 
-	GLOBUS_VERSION=5.0.1 ./configure \
+	GLOBUS_VERSION=5.0.2 ./configure \
 	   --host=$(DEB_HOST_GNU_TYPE) \
 	   --build=$(DEB_BUILD_GNU_TYPE) \
 	   --prefix=$(_prefix) \
