## globus-common 11.6

=== debian/changelog ===
globus-common (11.6-4) unstable; urgency=low

  * Use system jquery script

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 07 Jun 2011 00:30:22 +0200

globus-common (11.6-3) unstable; urgency=low

  * Add missing configure paths for setup

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 29 Apr 2011 14:37:58 +0200

globus-common (11.6-2) unstable; urgency=low

  * Add README file
  * Use new doxygen-latex build dependency (Closes: #616221)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 25 Apr 2011 22:09:40 +0200

globus-common (11.6-1) unstable; urgency=low

  * Update to Globus Toolkit 5.0.3

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 25 Feb 2011 22:33:24 +0100
