=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: globus-common
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 6.0.7~), autotools-dev, quilt, grid-packaging-tools, libglobus-libtool-dev (>= 1), globus-core (>= 5.15-5), doxygen (<< 1.6.2-1) | doxygen (>> 1.6.2-1), graphviz, texlive-latex-recommended, texlive-latex-extra, texlive-extra-utils, texlive-fonts-recommended, texlive-font-utils, ghostscript | gs-gpl
-Standards-Version: 3.9.0
+Build-Depends: debhelper (>= 6.0.7~), autotools-dev, quilt, grid-packaging-tools, libglobus-libtool-dev (>= 1), globus-core (>= 5.15-5), doxygen-latex, graphviz, texlive-fonts-recommended, texlive-font-utils, ghostscript
+Standards-Version: 3.9.2
 Section: net
 DM-Upload-Allowed: yes
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/globus-common
@@ -56,7 +56,7 @@
 Package: libglobus-common-doc
 Section: doc
 Architecture: any
-Depends: libglobus-common-dev (= ${binary:Version}), ${misc:Depends}
+Depends: libglobus-common-dev (= ${binary:Version}), ${misc:Depends}, ${js:Depends}
 Description: Globus Toolkit - Common Library Documentation Files
  The Globus Toolkit is an open source software toolkit used for
  building Grid systems and applications. It is being developed by the
