=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 name = globus-common
 _name = globus_common
-version = 11.5
+version = 11.6
 soname = 0
 
 INSTALLDIR = $(CURDIR)/debian/tmp
@@ -83,7 +83,7 @@
 	  fi ; \
 	done
 
-	GLOBUS_VERSION=5.0.2 ./configure \
+	GLOBUS_VERSION=5.0.3 ./configure \
 	   --host=$(DEB_HOST_GNU_TYPE) \
 	   --build=$(DEB_BUILD_GNU_TYPE) \
 	   --prefix=$(_prefix) \
@@ -105,6 +105,8 @@
 	   --host=$(DEB_HOST_GNU_TYPE) \
 	   --build=$(DEB_BUILD_GNU_TYPE) \
 	   --prefix=$(_prefix) \
+	   --sysconfdir=/etc \
+	   --localstatedir=/var \
 	   --mandir='$${datadir}/man' \
 	   --infodir='$${datadir}/info' \
 	   --without-flavor \
@@ -246,6 +248,16 @@
 	rm -f $(INSTALLDIR)$(_mandir)/man3/deprecated.3
 	sed /deprecated\.3/d \
 	  -i $(GLOBUSPACKAGEDIR)/$(_name)/noflavor_doc.filelist
+
+	# Use system jquery script
+	if [ -r $(INSTALLDIR)$(_docdir)/lib$(name)-dev/html/jquery.js ] ; then \
+	  rm $(INSTALLDIR)$(_docdir)/lib$(name)-dev/html/jquery.js ; \
+	  ln -s /usr/share/javascript/jquery/jquery.js \
+	    $(INSTALLDIR)$(_docdir)/lib$(name)-dev/html/jquery.js ; \
+	  echo js:Depends=libjs-jquery >> debian/lib$(name)-doc.substvars ; \
+	else \
+	  echo js:Depends= >> debian/lib$(name)-doc.substvars ; \
+	fi
 
 	# Generate package filelists
 	cat $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_rtl.filelist \
@@ -272,26 +284,3 @@
 	echo debian/tmp$(_datadir)/globus/globus-sh-tools-vars.sh \
 	  >> debian/$(name)-progs.install
 
-	echo debian/tmp$(_libdir)/pkgconfig/$(name).pc \
-	  >> debian/lib$(name)-dev.install
-
-binary-indep:
-	:
-
-binary-arch: install
-	dh_testdir
-	dh_testroot
-	mkdir -p debian/lib$(name)-doc$(_docdir)
-	ln -s lib$(name)-dev debian/lib$(name)-doc$(_docdir)/lib$(name)-doc
-	dh_installchangelogs
-	dh_installdocs
-	dh_install --fail-missing
-	dh_installman
-	dh_link
-	dh_strip --dbg-package=globus-common-dbg
-	dh_compress -X .tag
-	dh_fixperms
-	dh_perl
-	dh_lintian
-	dh_makeshlibs
-	dh_installdeb
