## globus-common 14.5

=== debian/changelog ===
globus-common (14.5-4) unstable; urgency=low

  * Add missing default to GLOBUS_SH_* variables

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 02 Feb 2012 09:33:06 +0100

globus-common (14.5-3) unstable; urgency=low

  * Add Depends on -progs to -devel for globus-makefile-header

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 28 Jan 2012 13:46:30 +0100

globus-common (14.5-2) unstable; urgency=low

  * Fix broken links in README file

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 24 Jan 2012 15:42:45 +0100

globus-common (14.5-1) unstable; urgency=low

  * Update to Globus Toolkit 5.2.0
  * Drop patches implemented upstream
  * Make doc package architecture independent

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 23 Dec 2011 12:32:22 +0100

globus-common (11.6-5) unstable; urgency=low

  * Add contributed manpages
  * Fix FTBFS with new dpkg (Closes: 643479)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 02 Oct 2011 21:29:31 +0200
