=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: globus-common
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 6.0.7~), autotools-dev, quilt, grid-packaging-tools, libglobus-libtool-dev (>= 1), globus-core (>= 5.15-5), doxygen-latex, graphviz, texlive-fonts-recommended, texlive-font-utils, ghostscript
+Build-Depends: debhelper (>= 5), autotools-dev, grid-packaging-tools (>= 3.4), globus-core (>= 8), libltdl-dev, doxygen-latex, texlive-fonts-recommended, graphviz, ghostscript
 Standards-Version: 3.9.2
 Section: net
 DM-Upload-Allowed: yes
@@ -12,7 +12,11 @@
 Package: libglobus-common0
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libglobus-libtool
+Provides: libglobus-libtool, libglobus-openssl, libglobus-libxml2
+Replaces: libglobus-libtool (<< 2), libglobus-openssl (<< 6), libglobus-libxml2 (<< 2)
+Conflicts: libglobus-libtool (<< 2), libglobus-openssl (<< 6), libglobus-libxml2 (<< 2)
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
+Breaks: globus-common-progs (<< 14)
 Description: Globus Toolkit - Common Library
  The Globus Toolkit is an open source software toolkit used for
  building Grid systems and applications. It is being developed by the
@@ -26,7 +30,10 @@
 Package: globus-common-progs
 Section: net
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libglobus-libtool, ${perl:Depends}
+Provides: globus-openssl-progs
+Replaces: globus-openssl-progs (<< 6)
+Conflicts: globus-openssl-progs (<< 6)
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Globus Toolkit - Common Library Programs
  The Globus Toolkit is an open source software toolkit used for
  building Grid systems and applications. It is being developed by the
@@ -36,13 +43,15 @@
  .
  The globus-common-progs package contains:
  Common Library Programs
- Common Setup
 
 Package: libglobus-common-dev
 Section: libdevel
 Architecture: any
-Depends: libglobus-common0 (= ${binary:Version}), ${misc:Depends}, libglobus-libtool-dev (>= 1), globus-core (>= 4), globus-common-progs (= ${binary:Version}), ${perl:Depends}
-Recommends: libglobus-common-doc (= ${binary:Version})
+Provides: libglobus-libtool-dev, libglobus-openssl-dev, libglobus-libxml2-dev
+Replaces: libglobus-libtool-dev (<< 2), libglobus-openssl-dev (<< 6), libglobus-libxml2-dev (<< 2)
+Conflicts: libglobus-libtool-dev (<< 2), libglobus-openssl-dev (<< 6), libglobus-libxml2-dev (<< 2)
+Depends: libglobus-common0 (= ${binary:Version}), globus-common-progs (= ${binary:Version}), ${misc:Depends}, globus-core (>= 8), ${perl:Depends}
+Recommends: libglobus-common-doc (= ${source:Version})
 Description: Globus Toolkit - Common Library Development Files
  The Globus Toolkit is an open source software toolkit used for
  building Grid systems and applications. It is being developed by the
@@ -55,8 +64,8 @@
 
 Package: libglobus-common-doc
 Section: doc
-Architecture: any
-Depends: libglobus-common-dev (= ${binary:Version}), ${misc:Depends}, ${js:Depends}
+Architecture: all
+Depends: libglobus-common-dev (>= ${source:Version}), ${misc:Depends}, ${js:Depends}
 Description: Globus Toolkit - Common Library Documentation Files
  The Globus Toolkit is an open source software toolkit used for
  building Grid systems and applications. It is being developed by the
