## globus-common 14.6

=== debian/changelog ===
globus-common (14.6-1) unstable; urgency=low

  * Update to Globus Toolkit 5.2.1
  * Drop patches globus-common-initializers.patch, globus-common-format.patch,
    globus-common-doxygen.patch and globus-common-sh-env.patch (fixed upstream)
  * Drop manpages from packaging that are now included in upstream sources

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 28 Apr 2012 16:47:07 +0200
