=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 
 	dh_autotools-dev_updateconfig
 
-	GLOBUS_VERSION=5.2.0 ./configure \
+	GLOBUS_VERSION=5.2.1 ./configure \
 	   --disable-static \
 	   --with-flavor=$(flavor) \
 	   --enable-doxygen \
@@ -135,6 +135,11 @@
 	  >> $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_dev.filelist
 	sed /globus-makefile-header/d \
 	  -i $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_pgm.filelist
+
+	# Move client man pages to progs package
+	grep '.[18]$$' $(GLOBUSPACKAGEDIR)/$(_name)/noflavor_doc.filelist \
+	  >> $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_pgm.filelist
+	sed '/.[18]$$/d' -i $(GLOBUSPACKAGEDIR)/$(_name)/noflavor_doc.filelist
 
 	# Remove deprecated.3 man page (too common name)
 	rm -f $(INSTALLDIR)$(_mandir)/man3/deprecated.3
