## globus-common 14.7

=== debian/changelog ===
globus-common (14.7-2) unstable; urgency=low

  * Add missing Replaces/Breaks (Closes: #694392)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 27 Nov 2012 13:38:18 +0100

globus-common (14.7-1) unstable; urgency=low

  * Update to Globus Toolkit 5.2.2

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 23 Jul 2012 09:20:44 +0200
