=== debian/control ===
--- 
+++ 
@@ -31,8 +31,9 @@
 Section: net
 Architecture: any
 Provides: globus-openssl-progs
-Replaces: globus-openssl-progs (<< 6)
+Replaces: globus-openssl-progs (<< 6), grid-packaging-tools (<< 3.4)
 Conflicts: globus-openssl-progs (<< 6)
+Breaks: grid-packaging-tools (<< 3.4)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Globus Toolkit - Common Library Programs
  The Globus Toolkit is an open source software toolkit used for
