=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 
 name = globus-common
 _name = globus_common
-version = 14.5
 soname = 0
 
 INSTALLDIR = $(CURDIR)/debian/tmp
@@ -34,7 +33,7 @@
 
 	dh_autotools-dev_updateconfig
 
-	GLOBUS_VERSION=5.2.1 ./configure \
+	GLOBUS_VERSION=5.2.2 ./configure \
 	   --disable-static \
 	   --with-flavor=$(flavor) \
 	   --enable-doxygen \
@@ -160,6 +159,11 @@
 	else \
 	  echo js:Depends= >> debian/lib$(name)-doc.substvars ; \
 	fi
+
+	# Remove junk man page
+	rm -f $(INSTALLDIR)$(_mandir)/man3/*_library_.3
+	sed /_library_.3/d \
+	  -i $(GLOBUSPACKAGEDIR)/$(_name)/noflavor_doc.filelist
 
 	# Generate package filelists
 	cat $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_rtl.filelist \
