## globus-common 14.9

=== debian/changelog ===
globus-common (14.9-2) unstable; urgency=low

  * Add arm64 to the list of 64 bit architectures
  * Don't use AM_CONFIG_HEADER (automake 1.13)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 26 May 2013 08:19:59 +0200

globus-common (14.9-1) unstable; urgency=low

  * Update to Globus Toolkit 5.2.3

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 16 Dec 2012 18:24:55 +0100
