=== debian/rules ===
--- 
+++ 
@@ -16,9 +16,9 @@
 _mandir = $(_datadir)/man
 _docdir = $(_datadir)/doc/lib$(name)-dev
 
-DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
-
-ifneq (,$(filter $(DEB_HOST_ARCH_CPU), amd64 alpha ia64 s390x ppc64 sparc64))
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
+ifneq (,$(filter $(DEB_HOST_ARCH), alpha amd64 arm64 ia64 kfreebsd-amd64 ppc64 s390x sparc64))
 flavor = gcc64
 else
 flavor = gcc32
@@ -33,7 +33,7 @@
 
 	dh_autotools-dev_updateconfig
 
-	GLOBUS_VERSION=5.2.2 ./configure \
+	GLOBUS_VERSION=5.2.3 ./configure \
 	   --disable-static \
 	   --with-flavor=$(flavor) \
 	   --enable-doxygen \
