## globus-common 14.10

=== debian/changelog ===
globus-common (14.10-2) unstable; urgency=low

  * Make Paths.pm flavor independent (Closes: #730165)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 22 Nov 2013 12:14:07 +0100

globus-common (14.10-1) unstable; urgency=low

  * Update to Globus Toolkit 5.2.5
  * Drop patch globus-common-ac.patch (accepted upstream)
  * Implement Multi-Arch support
  * Split dbg package for Multi-Arch

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 09 Nov 2013 11:27:16 +0100
