=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: globus-common
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 5), autotools-dev, grid-packaging-tools (>= 3.4), globus-core (>= 8), libltdl-dev, doxygen-latex, texlive-fonts-recommended, graphviz, ghostscript
+Build-Depends: debhelper (>= 5), autotools-dev, grid-packaging-tools (>= 3.4), globus-core (>= 8.16), libltdl-dev, doxygen-latex, texlive-fonts-recommended, graphviz, ghostscript
 Standards-Version: 3.9.4
 Section: net
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/globus-common
@@ -11,11 +11,13 @@
 Package: libglobus-common0
 Section: libs
 Architecture: any
+Multi-Arch: same
 Provides: libglobus-libtool, libglobus-openssl, libglobus-libxml2
 Replaces: libglobus-libtool (<< 2), libglobus-openssl (<< 6), libglobus-libxml2 (<< 2)
 Conflicts: libglobus-libtool (<< 2), libglobus-openssl (<< 6), libglobus-libxml2 (<< 2)
+Breaks: globus-common-progs (<< 14)
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
-Breaks: globus-common-progs (<< 14)
 Description: Globus Toolkit - Common Library
  The Globus Toolkit is an open source software toolkit used for
  building Grid systems and applications. It is being developed by the
@@ -29,6 +31,7 @@
 Package: globus-common-progs
 Section: net
 Architecture: any
+Multi-Arch: foreign
 Provides: globus-openssl-progs
 Replaces: globus-openssl-progs (<< 6), grid-packaging-tools (<< 3.4)
 Conflicts: globus-openssl-progs (<< 6)
@@ -47,6 +50,7 @@
 Package: libglobus-common-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Provides: libglobus-libtool-dev, libglobus-openssl-dev, libglobus-libxml2-dev
 Replaces: libglobus-libtool-dev (<< 2), libglobus-openssl-dev (<< 6), libglobus-libxml2-dev (<< 2)
 Conflicts: libglobus-libtool-dev (<< 2), libglobus-openssl-dev (<< 6), libglobus-libxml2-dev (<< 2)
@@ -65,6 +69,7 @@
 Package: libglobus-common-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: libglobus-common-dev (>= ${source:Version}), ${misc:Depends}, ${js:Depends}
 Description: Globus Toolkit - Common Library Documentation Files
  The Globus Toolkit is an open source software toolkit used for
@@ -76,11 +81,30 @@
  The libglobus-common-doc package contains:
  Common Library Documentation Files
 
+Package: libglobus-common-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Multi-Arch: same
+Replaces: globus-common-dbg (<< 14.10)
+Breaks: globus-common-dbg (<< 14.10)
+Depends: libglobus-common0 (= ${binary:Version}), ${misc:Depends}
+Description: Globus Toolkit - Common Library Debug Symbols
+ The Globus Toolkit is an open source software toolkit used for
+ building Grid systems and applications. It is being developed by the
+ Globus Alliance and many others all over the world. A growing number
+ of projects and companies are using the Globus Toolkit to unlock the
+ potential of grids for their cause.
+ .
+ The libglobus-common-dbg package contains:
+ Common Library Debug Symbols
+
 Package: globus-common-dbg
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libglobus-common0 (= ${binary:Version}) | globus-common-progs (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: foreign
+Depends: globus-common-progs (= ${binary:Version}), ${misc:Depends}
 Description: Globus Toolkit - Common Library Debug Symbols
  The Globus Toolkit is an open source software toolkit used for
  building Grid systems and applications. It is being developed by the
